# Get details about a Charge for a Payment Authorization

{% admonition type="warning" name="Coming Soon" %}
  This endpoint is currently undergoing development.. As such, minor changes or bugs may occur. If you encounter any issues, please contact your Belvo representative.
{% /admonition %}

Get the details about a specific Charge associated with a Payment Authorization.

Endpoint: GET /payments/br/payment-authorizations/{payment_authorization_id}/charges/{charge_id}/
Version: 1.223.0
Security: basicAuth

## Header parameters:

  - `X-Belvo-API-Resource-Version` (string)
    Header indicating which version of the Payment API you want to use. Currently this is only applicable for Bank Accounts, Customers, and Payment Authorizations in Brazil. In the case that you are using our Payment Authorizations product, then you must send through this header set to Payments-BR.V2.

{% admonition type="warning" name="Coming Soon" %}
  This version is in Coming Soon. As such, minor changes or bugs may occur. If you encounter any issues, please contact your Belvo representative.
{% /admonition %}
    Enum: "Payments-BR.V2"

## Path parameters:

  - `payment_authorization_id` (string, required)
    The payment-authorization.id the Charge belongs to.
    Example: "a3b92311-1888-449f-acaa-49ae28d68fcd"

  - `charge_id` (string, required)
    The charge.id you want details about.
    Example: "a3b92311-1888-449f-acaa-49ae28d68fcd"

## Response 200 fields (application/json):

  - `id` (string)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `created_at` (string)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `status_updated_at` (string,null)
    The ISO-8601 timestamp of when the status of the Charge was last updated.
    Example: "2025-06-09T08:45:50.406032Z"

  - `status` (string)
    The current status of the Charge. Can be one of the following values:

  - PENDING
  - SCHEDULED
  - SETTLED
  - CANCELED
  - FAILED
    Enum: "PENDING", "SCHEDULED", "SETTLED", "CANCELED", "FAILED"

  - `status_reason_code` (string,null)
    The reason code for the current status of the Charge, if applicable.

  - `status_reason_message` (string,null)
    Further information regarding the status_reason_code.

  - `amount` (string,null)
    The amount of the Charge.
    Example: "100.12"

  - `date` (string,null)
    The original date of the Charge.
    Example: "2025-06-09"

  - `end_to_end_id` (string,null)
    The end-to-end ID of the Charge. This is a unique identifier for the transaction that can be used to track it across different systems.
    Example: "1234567890abcdef"

  - `statement_description` (string)
    The description that will appear on the customer's bank statement (if provided).
    Example: "Super Shoe Store - Brown Sneakers"

  - `external_id` (string)
    An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
    Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"

  - `beneficiary` (object)
    Information about the beneficiary of the Charge.

  - `beneficiary.bank_account` (object)
    Information about the beneficiary's bank account.

  - `beneficiary.bank_account.id` (string)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "088bc38f-1430-40c5-a5d2-80bd67189d11"

  - `beneficiary.bank_account.holder` (object)
    Information about the holder of the beneficiary's bank account.

  - `beneficiary.bank_account.holder.name` (string)
    The full name of the holder of the beneficiary's bank account.
    Example: "Jane Smith"

  - `beneficiary.bank_account.holder.identifier` (string)
    The identifier of the holder of the beneficiary's bank account. Can be either a CPF (11 characters) or CNPJ (14 characters).
    Example: "12345678901"

  - `beneficiary.bank_account.details` (object)
    Details of the beneficiary's bank account.

  - `beneficiary.bank_account.details.institution` (string)
    Belvo's unique ID used to identify the beneficiary's bank.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

  - `beneficiary.bank_account.details.agency` (string)
    The agency number of the beneficiary's bank account.
    Example: "5678"

  - `beneficiary.bank_account.details.number` (string)
    The account number of the beneficiary's bank account.
    Example: "987654321"

  - `beneficiary.bank_account.details.account_type` (string)
    The type of the beneficiary's bank account. Can be either CHECKINGS, SAVINGS, or PAYMENTS.
    Example: "SAVINGS"

  - `beneficiary.bank_account.details.code` (string)
    The ISPB code of the beneficiary's bank.
    Example: "678901"

  - `payer` (object)
    Information about the payer of the Charge.

  - `payer.bank_account` (object)
    Information about the payer's bank account.

  - `payer.bank_account.holder` (object)
    Information about the holder of the payer's bank account.

  - `payer.bank_account.holder.identifier` (string)
    The identifier of the holder of the payer bank account. Can be either a CPF (11 characters) or CNPJ (14 characters).
    Example: "12345678902"

  - `payer.bank_account.details` (object)
    Details of the payer's bank account.

  - `payer.bank_account.details.institution` (string)
    Belvo's unique ID used to identify the payer's bank.

  - `payer.bank_account.details.code` (string)
    The ISPB code of the payer's bank.
    Example: "123345"

  - `payer.bank_account.details.account_type` (string)
    The type of the payer's bank account. Can be either CHECKINGS, SAVINGS, or PAYMENTS.
    Example: "CHECKINGS"

  - `payer.bank_account.details.agency` (string)
    The agency number of the payer's bank account.
    Example: "1234"

  - `payer.bank_account.details.number` (string)
    The account number of the payer's bank account.
    Example: "123456789"

  - `metadata` (object)
    Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.

{% admonition type="info" name="Metadata Limitations" %}
  You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
{% /admonition %}
    Example: {"internal_reference_id":"GGq73487w2"}

  - `next` (string,null)
    The Belvo ID of the next Charge in the sequence (only applicable if the Charge was retried). If null, it indicates that there are no further Charges in the sequence.
    Example: "7d159b21-9f25-4365-9fa2-734d20797819"

  - `previous` (string,null)
    The Belvo ID of the previous Charge in the sequence (only applicable if the Charge was retried). If null, it indicates that there are no previous Charges in the sequence.
    Example: "7d159b21-9f25-4365-9fa2-734d20797818"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


